Electric v1.0:0015

DO NOT INSTALL OVER BETA II (v0.8)!  It will break things.

For less information, see the "About" page for Electric on cheesewatergames.tk.

Rules 'n' stuff

As far as an objective, there isn't really an end goal, just get as many points as possible, and try not to die.

How to main menu

ELECTRIC			
title of the game
Play				
I don't think I need to explain
Options				
Go to the Options menu, which actually has options in it this time
Credits
View the credits
Exit				
Exit the game

How to options menu

OPTIONS				
Letting you know that this is the Options menu
Set Screen Resolution (* x *)
Change resolution -- You probably won't need this, since it autodetects
Toggle Fullscreen (*)
Turn fullscreen on or off -- default is on
Fancyness (*)
If you're running it on a netbook or similar device, some of the graphical fancies can give it a hard time -- default is low
Plane Color (*, *, *) -- *	
Change the color of your plane.  Use RGB. -- default is (0, 0, 255) -- Electric Blue
Enemy AI (*)
Change how good the enemy AI is. "Good" always aims directly at the target, while "Really Good" leads. In "Really Good," the AI can also use the markets, though their selection is limited. -- default is good.
Input Device: *	
Change input between mouse and keybord or selected controller. -- default is mouse & keybord (0).
Controls (If you're using a controller)
Change default controls (some input devices have unique buttons and axis).  Standard set by Logitech Attack 3.
Planes per team: (*)
Number of planes per color -- default is 1
Music volume (*)
Changes music volume in menu and game.  Change takes effect when you leave the options menu. -- Default is 100%.
Restore Defaults
You might want to select this after an update.
Back				
Go back to the main menu.

How to play

	How to control

	Keyboard:
	"w"
	increasae throttle,an increment of 10%
	"s"
	decrease throttle, a decrement of 10%
	"a"
	turn counter-clockwise
	"d"
	turn clockwise
	"<spacebar>"
	fire primary weapons
	"f"
	fire missiles
	"1"-"3"
	toggle primary weapons -- more than one can be on at a 	time
	"4"-"5"
	toggle missiles -- more than one can be on at a time
	"6"-"9"
	toggle mods -- more than one can be on at a time
	Controller:
	(All controls not listed still require the keyboard.  	Example used is Logitch Attack 3.)
	"Axis 3"
	throttle (0 - 100 = -1 - 1.  Increase or decrease throttle 	control.)
	"Axis 1"
	steering (positive = clockwise, negative = counter-	clockwise.  Tilt joystick left and right.)
	"Button 1"
	fire primary weapons (trigger)
	"Button 2"
	fire missiles (button labelled "2")
	"Button 3"
	toggle selected weapon/mod
	"Button 4"
	select previous mod/weapon
	"Button 5"
	select next mod/weapon

	How to HUD

	PWR
	"power" -- throttle (higher throttle takes more energy)
	GEN
	"generator" -- rate that power recharges, relative to full 	throttle.  When PWR < GEN, the battery charges.  When PWR 	> GEN, the battery drains.
	BAT
	"battery" -- amount of juice in the battery.  When it runs 	out, the throttle cannot exceed 50%, and you cannot fire 	weapons.
	SPD
	"speed" – speed measured in miles per hour.
	ARM
	"armor" -- health.  If it reaches 0, you blow up and 	respawn.
	AMO
	"ammo" -- machine gun bullets, out of 10000
	PTS
	"points" -- one is gained every time you fire a killshot.
	CR.
	"credits" -- credits that you buy stuff at the market 	with.
	     _
	 _,-|_|-,_	
	|_|-|_|-|_|
	 -'-'-'-'-	
	 |_|_|_|_|			
	Weapon hud
	The five red squares hold primary weapons.	The three blue 	squares hold missiles.  The four green squares hold mods.
	If a square is "on," a grey square appears inside of it.  	Weapons and missiles start "on," and mods start "off."
	__________
	|>	   v|
	|	    |
	|	    |		
	|	    |
	|^      <|
	----------
	Tacmap
	The four colored triangles show the location and 	orientation of their respective planes in the battlefeild.

	How to market

	fly into the western wall (assuming  it's "Open!)
	Along the top, there are three tabs, labled "Weapons," 	"mods," and "stats."
	Clicking on these tabs takes the player to different parts 	of the market.  The default is "weapons."
	You will observe a list of available products, how many 	credits you have, and how much time you have left to stay 	in the market.  (BTW, you get a credit for every point 	earned.)
	In "weapons"
		Laser	
		Cr. 3, 300 RPM, 960 pixels/sec, 5 damage/shot, .25 			energy/shot, no special atributes
		Vulcan
		Cr. 3, 3600 RPM, 1200 pixels/sec, .5 damage/shot, 1 			bullet/shot, 4 degrees spread angle
		Spread	
		Cr. 3, 450 RPM, 960 pixels/sec, 2.5 damage/shot, .3 			energy/shot, 3 shots fired at once, one forward, and 			30 degrees on either side.
		Plasma
		Cr. 3, 600 RPM, 1080 pixels/sec, 10 damage/shot, .5 			energy/shot, no special atributes
		Gauss	
		Cr. 3, 450 RPM, 1200 pixels/sec, .5 damage/shot, 8 			bullets/shot, fires like a shotgun
		Avenger
		Cr. 5, 3600 RPM, 1200 pixels/sec, 1 damage/shot, 1 			bullet/shot, reqoil slows down plane
		Homing Plasma
		Cr. 5, Charged, 720 pixels/sec, homes
		Pulse
		Cr. 5, Charged, 960 pixels/sec, continues after 			hitting something, doubling power each time
		10 Heat-Seeker Missiles
		Cr. 4, 60 RPM, 960 pixels/sec, 50 damage/shot, 1 			missile/shot, homes, range 2880 pixels (flies for 3 			seconds)
		10 Radar-Guided Missiles
		Cr. 5, 60 RPM, 960 pixels/sec, 50 damage/shot, 1 			missile/shot, homes and leads, range 5760 pixels 			(flies for 6 seconds)
		4 Cruise Missiles
		Cr. 6, 60 RPM, 960 pixels/sec, 300 damage/shot, 300 			pixel radius, 1 missile/shot, homes poorly, range 			8640 pixels (flies for 9 seconds)

		Click on a product to purchase, and it will go to the 		storage grid.
		Click on a product in the storage grid to pick it up.
		Click on one of the red spaces on the weapon hud to 			put primary weapons there.  It must be symmetrical, 			so you need two of the same kind of product in 				storage to place it in any of the wing slots(2, 3).  			Otherwise, it must go in the nose(1).
		Click on one of the blue spaces on the weapon hud to 			put missiles there.  Note that missiles in slot 5 			fire at 120 RPM.
	In "mods"
		Aimer	
		Cr. 3, Displays where enemies will be when your shots 		arrive, draws a line in the direction the player 			is aiming, and missile targeting boundaries.
		Energy ==> Armor
		Cr. 3, Regenerates armor, but sucks down as much 			electricity.
		Solid Rocket Booster
		Cr. 3, Gives a speed boost when you are in an 				emergency.  Lasts 3 seconds.  One use only.  				Stackable.
		Flare Pack
		Cr. 3, releases 4 flares that confuse missiles.  			Works 4 out of 5 times.  Stackable.

		Click on a product to purchase, and it will go to the 		storage grid.
		Click on a product in the storage grid to pick it up.
		Click on one of the green spaces on the mod hud to 			put it there.
	In "stats"
		Generator
		Cr. 5, Makes the generator more powerful
		Battery Life
		Cr. 5, Makes the battery last longer, but also 				recharge slower (it's still worth it)
		Armor	
		Cr. 5, Makes the plane take less damage from shots
		1000 Bullets
		Cr. 1, 1000 machine gun bullets that the Vulcan uses.

		Click on a product to apply it.
	When hovering over an item with the mouse, a short summary 	of the item will appear below STORAGE.
	Click "Exit" in the lower righthand corner to go back out.
	Once out, the market cannot be entered until enough time has passed ("enough" = time spent in the market * 2)
